.trigger {
    outline: none;
}

.tooltip {
    display: block !important;
    z-index: 10000;
    &.yellow-add-button {
        .text {
            margin-bottom: 0.25rem;
        }
        .link-login {
            margin-right: 0.75rem;
            color: #74abbc;
        }
        a {
            text-decoration: underline;
        }
    }
    .text-lawyer{
        text-align: center ;
    }
    &.kit.dark {
        background-color: rgba(39, 39, 39, 0.8);
        padding: 1rem;
        border-radius: 0.25rem;
        color: #fff;
        font-size: 0.8125rem;
        .yellow {
            font: inherit;
            color: #ffcf68;
        }
        .tooltip-arrow {
            border-color: rgba(39, 39, 39, 0.8);
        }
    }
    &.kit.white {
        padding: 0.5rem;
        background: #fff;
        border: 1px solid #9badb9;
        border-radius: 0.1875rem;
        box-shadow: 0.25rem 0 0.75rem 0 rgba(96, 126, 146, .12);
        color: #272727;
        font-size: 0.8125rem;
        z-index: 20;
        .tooltip-arrow {
            border: none;
            &:after, &:before {
                border: solid transparent;
                content: " ";
                height: 0;
                width: 0;
                position: absolute;
                pointer-events: none;
            }
            &:after {
                border-color: rgba(255, 255, 255, 0);
                border-width: 6px;
                margin-left: -6px;
            }
            &:before {
                border-color: rgba(155, 173, 185, 0);
                border-width: 7px;
                margin-left: -7px;
            }
        }
        &[x-placement^="bottom"] {
            .tooltip-arrow {
                top: 0;
                &:after {
                    left: 50%;
                    bottom: 100%;
                    border-bottom-color: #fff;
                }
                &:before {
                    left: 50%;
                    bottom: 100%;
                    border-bottom-color: #9badb9;
                }
            }
        }
        &[x-placement^="top"] {
            .tooltip-arrow {
                bottom: 0;
                &:after {
                    left: 50%;
                    top: 100%;
                    border-top-color: #fff;
                }
                &:before {
                    left: 50%;
                    top: 100%;
                    border-top-color: #9badb9;
                }
            }
        }
        &[x-placement^="left"] {
            .tooltip-arrow {
                right: -6px;
                &:after {
                    left: 100%;
                    margin-top: -7px;
                    border-width: 7px;
                    margin-left: -7px;
                    border-left-color: #ffffff;
                }
                &:before {
                    left: 100%;
                    margin-top: -7px;
                    border-width: 7px;
                    margin-left: -6px;
                    border-left-color: #9badb9;
                }
            }
        }
        &[x-placement^="right"] {
            .tooltip-arrow {
                left: -6px;
                &:after {
                    right: 100%;
                    margin-top: -7px;
                    border-width: 7px;
                    margin-right: -7px;
                    border-right-color: #ffffff;
                }
                &:before {
                    left: 100%;
                    margin-top: -7px;
                    border-width: 7px;
                    margin-left: -8px;
                    border-right-color: #9badb9;
                }
            }
        }
    }

    .tooltip-arrow {
        width: 0;
        height: 0;
        border-style: solid;
        border-color: rgba(39, 39, 39, 0.8);
        position: absolute;
        margin: 5px;
        z-index: 1;
    }

    &[x-placement^="top"] {
        margin-bottom: 5px;

        .tooltip-arrow {
            border-width: 5px 5px 0 5px;
            border-left-color: transparent !important;
            border-right-color: transparent !important;
            border-bottom-color: transparent !important;
            bottom: -5px;
            left: calc(50% - 5px);
            margin-top: 0;
            margin-bottom: 0;
        }
    }

    &[x-placement^="bottom"] {
        margin-top: 5px;

        .tooltip-arrow {
            border-width: 0 5px 5px 5px;
            border-left-color: transparent !important;
            border-right-color: transparent !important;
            border-top-color: transparent !important;
            top: -5px;
            left: calc(50% - 5px);
            margin-top: 0;
            margin-bottom: 0;
        }
    }

    &[x-placement^="right"] {
        margin-left: 5px;

        .tooltip-arrow {
            border-width: 5px 5px 5px 0;
            border-left-color: transparent !important;
            border-top-color: transparent !important;
            border-bottom-color: transparent !important;
            left: -5px;
            top: calc(50% - 5px);
            margin-left: 0;
            margin-right: 0;
        }
    }

    &[x-placement^="left"] {
        margin-right: 5px;

        .tooltip-arrow {
            border-width: 5px 0 5px 5px;
            border-top-color: transparent !important;
            border-right-color: transparent !important;
            border-bottom-color: transparent !important;
            right: -5px;
            top: calc(50% - 5px);
            margin-left: 0;
            margin-right: 0;
        }
    }

    &.popover {
    $color: rgba(39, 39, 39, 0.8);
        .popover-arrow {
            border-color: $color;
        }
    }
}

.tooltip {
    .filters {
        display: flex;
        flex-flow: row wrap;
        justify-content: space-between;
        align-items: stretch;
        width: 26rem;
        height: auto;
        max-height: 16rem;
        @media screen and (max-width: 1024px) {
            flex-flow: row wrap;
            width: 75vw;
            max-width: 20rem;
            height: auto;
            max-height: none;
            padding-top: 1rem;
        }
        &.opened {
            opacity: 1;
            visibility: visible;
        }
        > .close {
            position: absolute;
            top: 0.5rem;
            right: 0.5rem;
            display: block;
            width: 1rem;
            height: 1rem;
            cursor: pointer;
            background: url("~assets/images/i-close.svg") center/0.75rem no-repeat;
        }
        > .ui.button {
            margin: 0.5rem 0.5rem 0.5rem auto;
            @media screen and (max-width: 1024px) {
                width: calc(100% - 1rem);
                margin: 1rem auto;
            }
        }
        > .list {
            display: flex;
            flex-flow: column nowrap;
            justify-content: flex-start;
            align-items: flex-start;
            width: 50%;
            padding: 0.5rem;
            max-height: 13rem;
            @media screen and (max-width: 1024px) {
                width: 100%;
                max-height: 250px;
            }
            > .title {
                display: block;
                padding: 0 0 1rem;
                font-size: 0.8125rem;
                font-weight: 500;
                line-height: 1.3;
                @media screen and (max-width: 1024px) {
                    font-size: 1rem;
                }
            }
            .scroll {
                display: flex;
                flex-flow: row wrap;
                justify-content: flex-start;
                align-items: flex-start;
                width: 100%;
                max-height: 100%;
                overflow-y: auto;
            }
            &.all {
                .item {
                    display: flex;
                    flex: 0 1 auto;
                    width: 100%;
                    padding-bottom: 0.5rem;
                    &:last-child {
                        padding-bottom: 0;
                    }
                    label {
                        max-width: 100%;
                        white-space: nowrap;
                        overflow: hidden;
                        text-overflow: ellipsis;
                    }
                    .ui.input {
                        width: 100%;
                    }
                }
            }
            &.selected {
                .item {
                    display: inline-flex;
                    flex: 1 0 100%;
                    max-width: 100%;
                    flex-flow: row nowrap;
                    justify-content: space-between;
                    align-items: center;
                    padding: 0.25rem 0.5rem;
                    margin: 0 0 0.5rem 0;
                    background-color: #ededed;
                    border-radius: 0.1875rem;
                    &:last-child {
                        margin-bottom: 0;
                    }
                    > .param {
                        display: block;
                        max-width: 100%;
                        white-space: nowrap;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        @media screen and (max-width: 1024px) {
                            font-size: 0.9375rem;
                        }
                    }
                    > .delete {
                        display: block;
                        width: 1rem;
                        height: 1rem;
                        margin-left: 1rem;
                        cursor: pointer;
                        background: url("~assets/images/i-close.svg") right center/0.5rem no-repeat;
                    }
                }
            }
        }
    }

    .help-statistics-click {
        max-width: 22rem;
        ol {
            margin: 0.5rem 0 0 1rem;
            padding: 0;
            list-style-position: outside;
            li {
                padding: 0 0 0.5rem 0;
                font-size: 0.8125rem;
                line-height: 1.3;
            }
        }
    }

    .help-cabinet ,
    .help-cabinet-submenu {
        display: flex;
        width: auto;
        max-width: 320px;
        padding: 0.5rem;
        p {
            font-size: 0.8125rem;
            line-height: 1.5;
        }
    }
    &.chat-start, &.confirmed-contacts, &.contact-accepted, &.bubble-contact {
        font-size: 11px !important;
        line-height: 1rem;
        padding: 7px 11px !important;
    }
}
